//#############################################################################
//
// resourse_lib.js
//
//    JavaSribt Client Resourse Library
//
//    See the file "license.txt" for information on usage and
//    redistribution of this file, and for a DISCLAIMER OF ALL WARRANTIES.
//
//    Rcsid: @(#)$Id: resourse_lib.js,v 1.178 2019/03/14 10:30:18 jd Exp $
//
//#############################################################################

client = {
    Device:{
        create:{
            target:"devicemanual",
            wsize:"height=550,width=600,scrollbars=auto,resizable,status"
        },
        open:{
            jsfunc:"resProc3('open')",
            target:"deviceopen",
            wsize:"height=650,width=650,scrollbars=auto,resizable,status"
        },
        mount:{
            target:"devicemount",
            wsize:"height=470,width=600,scrollbars=auto,resizable,status"
        },
        label:{
            target:"label",
            wsize:"height=520,width=600,scrollbars=auto,resizable,status"
        },
        importvol:{
            target:"importvolume",
            wsize:"height=600,width=720,scrollbars=auto,resizable,status"
        },
        reset:{
            target:"devicereset",
            wsize:"height=340,width=600,scrollbars=auto,resizable,status"
        },
        rmdisk:{
            target:"diskauto",
            wsize:"height=480,width=600,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"deviceremove",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        },
        cdisk:{
            target:"devicecontainer",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        },
        ctape:{
            target:"tapeauto",
            wsize:"height=480,width=600,scrollbars=auto,resizable,status"
        },
        ccloud:{
            target:"cloudauto",
            wsize:"height=500,width=720,scrollbars=auto,resizable,status"
        }
    },
    TAPE:{
        create:{
            target:"devicemanual",
            wsize:"height=550,width=600,scrollbars=auto,resizable,status"
        }
    },
    Jukebox:{
        open:{
            jsfunc:"resProc3('open')",
            target:"jukeboxopen",
            wsize:"height=550,width=680,scrollbars=auto,resizable,status"
        },
        inventory:{
            target:"jukeboxinventory",
            wsize:"height=470,width=600,scrollbars=auto,resizable,status"
        },
        loadslot:{
            target:"loadslot",
            wsize:"height=540,width=600,scrollbars=auto,resizable,status"
        },
        importvol:{
            target:"importvolume",
            wsize:"height=600,width=720,scrollbars=auto,resizable,status"
        },
        label:{
            target:"label",
            wsize:"height=600,width=680,scrollbars=auto,resizable,status"
        },
        reset:{
            target:"jukeboxreset",
            wsize:"height=340,width=600,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"jukeboxremove",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        },
        cjb:{
            target:"jukeboxcreate",
            wsize:"height=470,width=500,scrollbars=auto,resizable,status"
        },
        cvtl:{
            target:"vtlcreate",
            wsize:"height=480,width=600,scrollbars=auto,resizable,status"
        },
    },
    ObjectStore:{
        create:{
            target:"obstorecreate",
            wsize:"height=600,width=600,scrollbars=auto,resizable,status"
        },
        open:{
            jsfunc:"resProc3('open')",
            target:"obstoreopen",
            wsize:"height=600,width=600,scrollbars=auto,resizable,status"
        },
        mount:{
            target:"obstoremount",
            wsize:"height=300,width=550,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"obstoreremove",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        },
        compatibility:{
            target:"obstorecompatibility",
            wsize:"height=550,width=600,scrollbars=auto,resizable,status"
        }
    },
    Database:{
        create:{
            target:"databasecreate",
            wsize:"height=720,width=600,scrollbars=auto,resizable,status"
        },
        open:{
            jsfunc:"resProc3('open')",
            target:"databaseopen",
            wsize:"height=720,width=600,scrollbars=auto,resizable,status"
        },
        fields:{
            target:"fields",
            wsize:"height=500,width=1000,scrollbars=auto,resizable,status"
        },
        indexck:{
            target:"indexcheck",
            wsize:"height=570,width=600,scrollbars=auto,resizable,status"
        },
        indexup:{
            target:"indexupdate",
            wsize:"height=550,width=650,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"databaseremove",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        }
    },
    Filter:{
        create:{
            target:"filtercreate",
            wsize:"height=670,width=700,scrollbars=auto,resizable,status"
        },
        open:{
            jsfunc:"resProc3('open')",
            target:"filteropen",
            wsize:"height=670,width=700,scrollbars=auto,resizable,status"
        },
        duplicate:{
            target:"filterduplicate",
            wsize:"height=400,width=550,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"filterremove",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        }
    },
    License:{
        create:{
            target:"licensecreate",
            wsize:"height=570,width=600,scrollbars=auto,resizable,status"
        },
        open:{
            jsfunc:"resProc3('open')",
            target:"licenseopen",
            wsize:"height=590,width=600,scrollbars=auto,resizable,status"
        },
        trial:{
            target:"licensetrial",
            wsize:"height=300,width=600,scrollbars=auto,resizable,status"
        },
        portal:{
            target:"licenseportal",
            wsize:"height=350,width=600,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"licenseremove",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        }
    },
    Client:{
        create:{
            target:"clientcreate",
            wsize:"height=670,width=750,scrollbars=auto,resizable,status"
        },
        open:{
            jsfunc:"resProc3('open')",
            target:"clientopen",
            wsize:"height=670,width=750,scrollbars=auto,resizable,status"
        },
        ping:{
            target:"clientping",
            wsize:"height=300,width=550,scrollbars=auto,resizable,status"
        },
        update:{
            target:"clientupdate",
            wsize:"height=340,width=550,scrollbars=auto,resizable,status"
        },
        restart:{
            target:"clientrestart",
            wsize:"height=300,width=550,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"clientremove",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        }
    },
    Server:{
        create:{
            target:"servercreate",
            wsize:"height=720,width=800,scrollbars=auto,resizable,status"
        },
        open:{
            jsfunc:"resProc3('open')",
            target:"serveropen",
            wsize:"height=720,width=800,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"serverremove",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        }
    },
    Workstation:{
        create:{
            target:"workstationcreate",
            wsize:"height=680,width=850,scrollbars=auto,resizable,status"
        },
        open:{
            jsfunc:"resProc3('open')",
            target:"workstationopen",
            wsize:"height=680,width=850,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"workstationremove",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        }
    },
    Backup2Go:{
        create:{
            target:"backup2gocreate",
            wsize:"height=680,width=850,scrollbars=auto,resizable,status"
        },
        open:{
            jsfunc:"resProc3('open')",
            target:"backup2goopen",
            wsize:"height=680,width=850,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"backup2goremove",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        }
    },
    Volume:{
        create:{
            target:"volumecreate",
            wsize:"height=240,width=420,scrollbars=no,resizable"
        },
        open_container:{
            jsfunc:"mresProc3('open_container')",
            target:"volumeopen",
            wsize:"height=450,width=700,scrollbars=no,resizable"
        },
        open:{
            jsfunc:"mresProc3('open')",
            target:"volumeopen",
            wsize:"height=650,width=700,scrollbars=no,resizable"
        },
        burnvol:{
            target:"volumeburnvol",
            wsize:"height=340,width=600,scrollbars=auto,resizable,status"
        },
        clocopy:{
            target:"volumeclocopy",
            wsize:"height=470,width=600,scrollbars=auto,resizable,status"
        },
        syncvol:{
            target:"volumesyncvol",
            wsize:"height=500,width=450,scrollbars=auto,resizable,status"
        },
        jobvol:{
            target:"volumequery",
            wsize:"height=600,width=700,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"volumeremove",
            wsize:"height=500,width=450,scrollbars=auto,resizable,status"
        },
        label:{
            target:"label",
            wsize:"height=500,width=680,scrollbars=auto,resizable,status"
        },
        slotexp:{
            target:"slotexp",
            wsize:"height=500,width=450,scrollbars=auto,resizable,status"
        }
    },
    LoginArea:{
        create:{
            target:"loginareacreate",
            wsize:"height=500,width=600,scrollbars=auto,resizable,status"
        },
        open:{
            jsfunc:"resProc3('open')",
            target:"loginareaopen",
            wsize:"height=500,width=600,scrollbars=auto,resizable,status"
        },
        duplicate:{
            target:"loginareaduplicate",
            wsize:"height=400,width=550,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"loginarearemove",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        }
    },
    UserPref:{
        create:{
            target:"userprefcreate",
            wsize:"height=720,width=650,scrollbars=auto,resizable,status"
        },
        open:{
            jsfunc:"resProc3('open')",
            target:"userprefopen",
            wsize:"height=720,width=650,scrollbars=auto,resizable,status"
        },
        duplicate:{
            target:"userprefduplicate",
            wsize:"height=400,width=550,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"userprefremove",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        }
    },
    GroupPref:{
        create:{
            target:"groupprefcreate",
            wsize:"height=720,width=650,scrollbars=auto,resizable,status"
        },
        open:{
            jsfunc:"resProc3('open')",
            target:"groupprefopen",
            wsize:"height=720,width=650,scrollbars=auto,resizable,status"
        },
        duplicate:{
            target:"groupprefduplicate",
            wsize:"height=400,width=550,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"groupprefremove",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        }
    },
    Translation:{
        create:{
            target:"translatcreate",
            wsize:"height=600,width=670,scrollbars=no,resizable"
        },
        open:{
            jsfunc:"resProc3('open')",
            target:"translatopen",
            wsize:"height=600,width=670,scrollbars=no,resizable"
        },
        duplicate:{
            target:"translatduplicate",
            wsize:"height=400,width=550,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"translatremove",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        },
        exportlang:{
            target:"translatexport",
            wsize:"height=300,width=550,scrollbars=auto,resizable,status"
        },
        importlang:{
            target:"translatimport",
            wsize:"height=550,width=600,scrollbars=auto,resizable,status"
        },
        testlang:{
            target:"translattest",
            wsize:"height=700,width=900,scrollbars=auto,resizable,status"
        },
        refresh:{
            target:"translatrefresh",
            wsize:"height=280,width=550,scrollbars=auto,resizable,status"
        }
    },
    Pool:{
        create:{
            target:"poolcreate",
            wsize:"height=750,width=700,scrollbars=auto,resizable,status"
        },
        open:{
            jsfunc:"resProc3('open')",
            target:"poolopen",
            wsize:"height=750,width=700,scrollbars=auto,resizable,status"
        },
        volchain:{
            target:"volumechain",
            wsize:"height=750,width=700,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"poolremove",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        }
    },
    ArchivePlan:{
        create:{
            target:"archiveplancreate",
            wsize:"height=740,width=700,scrollbars=auto,resizable,status"
        },
        open:{
            jsfunc:"resProc3('open')",
            target:"archiveplanopen",
            wsize:"height=740,width=700,scrollbars=auto,resizable,status"
        },
        duplicate:{
            target:"archiveplanduplicate",
            wsize:"height=400,width=550,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"archiveplanremove",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        }
    },
    BackupPlan:{
        create:{
            target:"backupplancreate",
            wsize:"height=740,width=740,scrollbars=auto,resizable,status"
        },
        open:{
            jsfunc:"resProc3('open')",
            target:"backupplanopen",
            wsize:"height=740,width=700,scrollbars=auto,resizable,status"
        },
        duplicate:{
            target:"backupplanduplicate",
            wsize:"height=400,width=550,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"backupplanremove",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        }
    },
    BackupTask:{
        create:{
            target:"backuptaskcreate",
            wsize:"height=740,width=740,scrollbars=auto,resizable,status"
        },
        open:{
            jsfunc:"resProc3('open')",
            target:"backuptaskopen",
            wsize:"height=740,width=700,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"backuptaskremove",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        }
    },
    SyncPlan:{
        create:{
            target:"syncplancreate",
            wsize:"height=740,width=740,scrollbars=auto,resizable,status"
        },
        open:{
            jsfunc:"resProc3('open')",
            target:"syncplanopen",
            wsize:"height=740,width=740,scrollbars=auto,resizable,status"
        },
        duplicate:{
            target:"syncplanduplicate",
            wsize:"height=400,width=550,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"syncplanremove",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        }
    },
    MigrationPlan:{
        create:{
            target:"migrationplancreate",
            wsize:"height=800,width=800,scrollbars=auto,resizable,status"
        },
        open:{
            jsfunc:"resProc3('open')",
            target:"migrationplanopen",
            wsize:"height=800,width=800,scrollbars=auto,resizable,status"
        },
        duplicate:{
            target:"migrationplanduplicate",
            wsize:"height=400,width=550,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"migrationplanremove",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        }
    },
    Job:{
        create:{
            target:"jobcreate",
            wsize:"height=240,width=420,scrollbars=no,resizable"
        },
        monitor:{
            target:"jobmonitor",
            wsize:"height=320,width=800,scrollbars=auto,resizable"
        },
        open:{
            jsfunc:"resProc3('open')",
            target:"jobopen",
            wsize:"height=600,width=800,scrollbars=auto,resizable,status"
        },
        archive:{
            target:"jobarchive",
            wsize:"height=240,width=440,scrollbars=auto,resizable,status"
        },
        remove:{
            target:"jobremove",
            wsize:"height=400,width=600,scrollbars=auto,resizable,status"
        }
    },
    Log:{
        open:{
            jsfunc:"resProc3('open')",
            target:"openlog",
            wsize:"height=480,width=600,scrollbars=auto,resizable,status"
        }
    },
    BsxTree:{
        option:{
            target:"BixTreeoption",
            wsize:"height=520,width=600,scrollbars=auto,resizable"
        },
        selection_restore:{
            target:"BixTreerestore",
            wsize:"height=380,width=650,scrollbars=no,resizable"
        },
        dialog_restore:{
            target:"BixTreerestore",
            wsize:"height=380,width=650,scrollbars=no,resizable"
        }
    },
    AsxTree:{
        option:{
            target:"AixTreeoption",
            wsize:"height=520,width=600,scrollbars=auto,resizable"
        },
        selection_restore:{
            target:"AixTreerestore",
            wsize:"height=380,width=650,scrollbars=no,resizable"
        },
        dialog_restore:{
            target:"AixTreerestore",
            wsize:"height=380,width=650,scrollbars=no,resizable"
        },
        direct_verify:{
            target:"AixTreerestore",
            wsize:"height=380,width=650,scrollbars=no,resizable"
        }
    },
    HfsTree:{
        upload:{
            target:"HfsTreeupload",
            wsize:"height=260,width=550,scrollbars=no,resizable"
        },
        dialog_archive:{
            target:"HfsTreearchive",
            wsize:"height=400,width=650,scrollbars=no,resizable"
        },
        selection_archive:{
            target:"HfsTreearchive",
            wsize:"height=400,width=650,scrollbars=no,resizable"
        },
        download:{
            target:"HfsTreedownload",
            wsize:"height=150,width=600,scrollbars=no,resizable"
        }
    },
    CustIndex:{
        ixck:{
            target:"CustIndexixck",
            wsize:"height=600,width=650,scrollbars=auto,resizable,status"
        }
    },
    Password:{
        change:{
            target:"PasswordChange",
            wsize:"height=350,width=550,scrollbars=auto,resizable,status"
        }
    },
    File:{
        open:{
            target:"FileInfo",
            wsize:"height=620,width=600,scrollbars=auto,resizable,status"
        }
    },
    Directory:{
        open:{
            target:"FileInfo",
            wsize:"height=620,width=500,scrollbars=auto,resizable,status"
        }
    }
}
